"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bootstrappedAtomValueHook = void 0;
const recoil_1 = require("recoil");
function bootstrappedAtomValueHook(bootstrappedAtom) {
    return () => {
        const valueLoadable = (0, recoil_1.useRecoilValueLoadable)(bootstrappedAtom);
        switch (valueLoadable.state) {
            case 'hasValue': {
                return valueLoadable.contents;
            }
            case 'loading': {
                throw new Error('Bootstrap root atom not loaded. Did you call this hook outside of its bootstrap root component tree?');
            }
            case 'hasError': {
                throw valueLoadable.contents;
            }
        }
    };
}
exports.bootstrappedAtomValueHook = bootstrappedAtomValueHook;
//# sourceMappingURL=bootstrappedAtomValueHook.js.map