// Tell React that this is not a server component, since it's likely to be used
// as the first client-side component in a tree
'use client';
import React, { useRef } from 'react';
import { useRecoilSnapshot } from 'recoil';
function RootInitializer({ children, bootstrapData, rootAtom, }) {
    const snapshot = useRecoilSnapshot();
    snapshot.map(({ set }) => {
        set(rootAtom, bootstrapData);
    });
    snapshot.retain();
    return React.createElement(React.Fragment, null, children);
}
export function BootstrapRoot({ children, bootstrapData, rootAtom, }) {
    const isInitializedRef = useRef(false);
    if (!isInitializedRef.current) {
        isInitializedRef.current = true;
        return (React.createElement(RootInitializer, { bootstrapData: bootstrapData, rootAtom: rootAtom }, children));
    }
    else {
        return React.createElement(React.Fragment, null, children);
    }
}
//# sourceMappingURL=bootstrapRoot.js.map